Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06998 Interface Minor Always Jun 3, 2018, 14:04 Sep 6, 2018, 09:10
Tester rsarson View Status Public Platform MAME (Self-compiled)
Assigned To Robbbert Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver
Version 0.197 Fixed in Version 0.202 Build 64-bit
Summary MESS-specific 06998: software lists titles directories not working
Description in order for software lists title images to be displayed, the directory must be named software listname+_titles. no other naming convention or titles_directory in ui.ini works.
Steps To Reproduce in my titles folder (which ui.ini points to), i have a folder named 'vic1001_cart' which contains all the title images for the vic20.

i run mame, select vic20 (ntsc), then scroll down to any game, then select scroll right in the images tab to titles. the title image will not be displayed.

if i rename the above folder to 'vic1001_cart_titles', the above will then display the images as expected.
Additional Information src/frontend/mame/ui/selmenu.cpp seems to be the file with the offending code
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.15084
Tafoid
Administrator
Jun 4, 2018, 04:12
I believe the function of the snapshot viewing is working as expected as regardless of the folder in question, the contents needed to be identified which is what the folder name/.zip name does.

Packs from: http://www.progettosnaps.net/softwareresources/

So c:\mame\titles\a2600_titles.zip, for example..
ui.ini has titles_folder entry listed as titles. The file mentioned above is placed into c:\mame\titles and the UI detects them fine.

In short, you want the "titles" folders to only require a folder or .zip named after the software lists in question?
I suppose that is a decent enough feature request. I will accept this as a feature request, but it may never be implemented as it works as expected already.
User avatar
No.15087
rsarson
Tester
Jun 4, 2018, 05:21
edited on: Jun 4, 2018, 05:35
the method i mentioned works for all other images categories. the only one that does not work is the titles one...

flyers/vic1001_cart <--works
pcb/vic1001_cart <-- works
marquees/vic1001_cart <--works
...etc.
titles/vic1001_cart <-- does not work; only works with titles/vic1001_cart_titles

and while i do not know much about c++ programming, i was able to find the likely code in line 2073 of src/frontend/mame/ui/selmenu.cpp (search for "_titles")
User avatar
No.15088
rsarson
Tester
Jun 4, 2018, 12:24
also note the following do not work (with ui.ini directories at their defaults):

flyers/vic1001_cart_flyers
pcb/vic1001_cart_pcb
marquees/vic1001_cart_marquees
...etc.
but as mentioned, titles/vic1001_cart_titles does work, so again, it is just the titles one that is different.
User avatar
No.15098
cuavas
Administrator
Jun 5, 2018, 18:35
That's quite odd. The code was inherited from mewui, and has just been cleaned up and consolidated in one place. There's a special case for titles, so I'd hope there was a reason for it to begin with. What happens if you remove the entire "else if (ui_globals::curimage_view == TITLES_VIEW)" block?
User avatar
No.15133
rsarson
Tester
Jun 8, 2018, 12:12
i removed that block and it is now working as expected
User avatar
No.15396
rsarson
Tester
Sep 5, 2018, 19:49
any chance this is going to be fixed?
User avatar
No.15397
B2K24
Moderator
Sep 5, 2018, 23:52
Patience please. It will be addressed / fixed when a developer has time to address it.